import * as React from 'react';
import Card from '@mui/material/Card';
import CardActions from '@mui/material/CardActions';
import CardContent from '@mui/material/CardContent';
import CardMedia from '@mui/material/CardMedia';
import Button from '@mui/material/Button';
import Typography from '@mui/material/Typography';

import QA from '../../Images/puesto.jpg'

export function PuestoCard(props) {

    let {nombre, description} = props.plaza
    let {edit, suprime, show, set} = props.operations

    return (
        <Card sx={{ maxWidth: 345 }}>
            <CardMedia
                component="img"
                alt="green iguana"
                height="140"
                image={QA}
                />
            <CardContent>
                <Typography gutterBottom variant="h5" component="div">
                    {nombre}
                </Typography>
                <Typography variant="body2" color="text.secondary">
                    {description}
                    Lizards are a widespread group of squamate reptiles, with over 6,000
                    species, ranging across all continents except Antarctica
                </Typography>
            </CardContent>
            <CardActions>
                <Button size="small" 
                    onClick={() => [set,show].map(fnc => fnc(props.plaza)) }>
                    Ver
                </Button>
                <Button size="small" 
                    onClick={() => [set,edit].map(fnc => fnc(props.plaza))}>
                    Editar
                </Button>
                <Button size="small"
                    onClick={() =>[set,suprime].map(fnc => fnc(props.plaza))} >
                    Eliminar
                </Button>
            </CardActions>
        </Card>
    );
}
